# KrakenD api gateway playground

Poszczególne etapy pracy i poznawania krakend w osobnych brancz'ach.

Całość oparta do docker.

- etap1 (podstawka)

Proste zmokowane api oraz krakend config-watcher (restertujący usługę po zmianie pliku konfiguracyjnego). Fajny patent wykorzystujący [Reflex](https://github.com/cespare/reflex).


Sekwencyjne proxy w KrakenD:

```mermaid
sequenceDiagram
    Użytkownik->>KrakenD: /sequential/{id}
    KrakenD->>Backend: /users/{id}.json
    Backend-->>KrakenD: response_0
    KrakenD->>Backend: /projects/{response_0.user_id}.json
    Backend-->>KrakenD: response_1
    KrakenD-->>KrakenD: merge response[] 
    KrakenD->>+Użytkownik: Response
```